Bug 1691009 - NBD pull mode incremental backup API needs a finalized interface
Summary: NBD pull mode incremental backup API needs a finalized interface
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.7
Hardware: All
OS: All
medium
medium
Target Milestone: rc
: ---
Assignee: John Snow
QA Contact: aihua liang
URL:
Whiteboard:
Depends On: 1668956
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-20 16:09 UTC by John Snow
Modified: 2019-08-22 09:20 UTC (History)
7 users (show)

Fixed In Version: qemu-kvm-rhev-2.12.0-27.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1668956
Environment:
Last Closed: 2019-08-22 09:20:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2553 None None None 2019-08-22 09:20:42 UTC

Description John Snow 2019-03-20 16:09:00 UTC
This bug is a clone of the Bitmap management API request for a finalized backup API cloned for NBD. They have been split to ease burden of review and to separate areas of focus.

This is effectively a tracker for backporting the NBD patches from this pull request upstream:
https://lists.gnu.org/archive/html/qemu-devel/2019-01/msg02960.html

and possibly these:
https://lists.gnu.org/archive/html/qemu-devel/2019-01/msg05237.html



+++ This bug was initially created as a clone of Bug #1668956 +++

Description of problem:

The pull-model incremental backup API still uses commands like "x-block-dirty-bitmap-disable" and several others. The API should be finalized for use by Libvirt/RHV and others.

Version-Release number of selected component (if applicable):

Seen in 7.7's qemu-kvm-rhev-2.12.0; fixed upstream in QEMU 3.1 development branches.

Comment 1 Miroslav Rezanina 2019-04-25 03:52:44 UTC
Fix included in qemu-kvm-rhev-2.12.0-27.el7

Comment 9 aihua liang 2019-05-15 04:34:42 UTC
Have verified on qemu-kvm-rhev-2.12.0-27.el7.x86_64, the bug has been fixed except for the following new bugs. Will set bug's status to "Verified" and track the left issue by the new bugs.
      Bug 1703916 - Qemu core dump when quit vm after forbidden to do backup with a read-only bitmap
      Bug 1707303 - Error returned qmp info when do incremental live backup with an in-use bitmap
      Bug 1707733 - Qemu hang when do backup jobs with completion-mode "grouped" and with one job failed
      Bug 1707821 - Target VM failed to enter running status after migration with persistent bitmap on shared storage

Comment 11 errata-xmlrpc 2019-08-22 09:20:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2553


Note You need to log in before you can comment on or make changes to this bug.